//Define sound effects that will be used in situation reporting.
const	SOUND_POWER_LOW = "pcv343.ogg",
	SOUND_NEED_GENERATORS = "pcv349.ogg",
	SOUND_UNIT_DETECTED = "pcv378.ogg",
	SOUND_UNIT_DETECTED_SCAV = "pcv373.ogg",
	SOUND_VTOL_DETECTED = "pcv388.ogg",
	SOUND_TRANSPORT_DETECTED = "pcv381.ogg",
	SOUND_ARTILLERY_DETECTED = "pcv387.ogg",
	SOUND_STRUCT_DETECTED = "pcv379.ogg",
	SOUND_STRUCT_DETECTED_SCAV = "pcv374.ogg",
	SOUND_STRUCT_DETECTED_SCAV_DEF = "pcv375.ogg",
	SOUND_UNIT_ATTACKED = "pcv399.ogg",
	SOUND_TRUCK_ATTACKED = "truckattacked.ogg",
	SOUND_COMMANDER_ATTACKED = "comattacked.ogg",
	SOUND_TRANSPORT_ATTACKED = "pcv443.ogg",
	SOUND_STRUCT_ATTACKED = "pcv337.ogg",
	SOUND_DERRICK_ATTACKED = "pcv345.ogg",
	SOUND_ALLY_ATTACKED = "allyattacked.ogg",
	SOUND_UNIT_DESTROYED = "pcv400.ogg",
	SOUND_TRUCK_DESTROYED = "truckdestroyed.ogg",
	SOUND_COMMANDER_DESTROYED = "comdestroyed.ogg",
	SOUND_TRANSPORT_DESTROYED = "transptdestroyed.ogg",
	SOUND_STRUCT_DESTROYED = "pcv620.ogg",
	SOUND_DERRICK_DESTROYED = "pcv349.ogg",
	SOUND_GENERATOR_DESTROYED = "pcv342.ogg",
	SOUND_LASSAT_DESTROYED = "pcv651a.ogg",
	SOUND_LASSAT_READY = "lassatready.ogg",
	SOUND_UNIT_TRANSFERRED = "pcv486.ogg",
	SOUND_UNIT_STOLEN = "pcv617.ogg",
	SOUND_UNIT_STOLEN_ENEMY = "untabsrd.ogg",
	SOUND_STRUCT_TRANSFERRED = "structtransfer.ogg",
	SOUND_STRUCT_STOLEN = "pcv619.ogg",
	SOUND_STRUCT_STOLEN_ENEMY = "strutabs.ogg";
	SOUND_PLAYER_DEFEATED = "pcv470.ogg";
	SOUND_ALLY_DEFEATED = "allydefeated.ogg";
	SOUND_ENEMY_DEFEATED = "pcv646.ogg";
	SOUND_PLAYER_REVIVED = "pcv476.ogg";
	SOUND_ALLY_REVIVED = "allyrevived.ogg";
	SOUND_ENEMY_REVIVED = "enemyrevived.ogg";

//Include files that will be triggered by certain events.
include ("multiplay/skirmish/mods/sitrep/sitRepAttacked.inc");
include ("multiplay/skirmish/mods/sitrep/sitRepCheckup.inc");
include ("multiplay/skirmish/mods/sitrep/sitRepDestroyed.inc");
include ("multiplay/skirmish/mods/sitrep/sitRepDetected.inc");
include ("multiplay/skirmish/mods/sitrep/sitRepStructureReady.inc");
include ("multiplay/skirmish/mods/sitrep/sitRepTransfer.inc");
