var lastDestroyedTime = [0,0,0,0,0,0,0,0];

function sitRepDestroyed(victimObj) {
	if (victimObj.player == selectedPlayer) {
		if (victimObj.type == DROID) { //Unit destroyed
			if (victimObj.droidType==DROID_CONSTRUCT || victimObj.droidType==DROID_CYBORG_CONSTRUCT) {
				if (gameTime > lastDestroyedTime[5] + 5000) {
					playSound(SOUND_TRUCK_DESTROYED, victimObj.x, victimObj.y, victimObj.z);
					lastDestroyedTime[5] = gameTime;
				}
			}
			else if (victimObj.droidType==DROID_TRANSPORTER || victimObj.droidType==DROID_SUPERTRANSPORTER) {
				if (gameTime > lastDestroyedTime[6] + 5000) {
					playSound(SOUND_TRANSPORT_DESTROYED, victimObj.x, victimObj.y, victimObj.z);
					lastDestroyedTime[6] = gameTime;
				}
			}
			else if (victimObj.droidType==DROID_COMMAND) {
				if (gameTime > lastDestroyedTime[7] + 5000) {
					playSound(SOUND_COMMANDER_DESTROYED, victimObj.x, victimObj.y, victimObj.z);
					lastDestroyedTime[7] = gameTime;
				}
			}
			else if (gameTime > lastDestroyedTime[0] + 5000) {
				playSound(SOUND_UNIT_DESTROYED, victimObj.x, victimObj.y, victimObj.z);
				lastDestroyedTime[0] = gameTime;
			}
		}
		else if (victimObj.type == STRUCTURE) {
			if (victimObj.stattype == RESOURCE_EXTRACTOR) { //Oil derrick destroyed
				if (gameTime > lastDestroyedTime[1] + 5000) {
					playSound(SOUND_DERRICK_DESTROYED, victimObj.x, victimObj.y, victimObj.z);
					lastDestroyedTime[1] = gameTime;
				}
			}
			else if (victimObj.stattype == POWER_GEN) { //Power generator destroyed
				if (gameTime > lastDestroyedTime[2] + 5000) {
					playSound(SOUND_GENERATOR_DESTROYED, victimObj.x, victimObj.y, victimObj.z);
					lastDestroyedTime[2] = gameTime;
				}
			}
			else if (victimObj.stattype == LASSAT || victimObj.name == "Laser Satellite Command Post") { //LasSat Command Post destroyed
				if (gameTime > lastDestroyedTime[3] + 5000) {
					playSound(SOUND_LASSAT_DESTROYED, victimObj.x, victimObj.y, victimObj.z);
					lastDestroyedTime[3] = gameTime;
				}
			}
			else {
				if (gameTime > lastDestroyedTime[4] + 5000) { //Play generic structure destroyed sound
					playSound(SOUND_STRUCT_DESTROYED, victimObj.x, victimObj.y, victimObj.z);
					lastDestroyedTime[4] = gameTime;
				}
			}
		}
	}
}