//Remove droids, structures, and features depending on what game settings are set on game initialization.
function setObjects() {
	var iHaveHQ = true;
	if (!enumStruct(me,HQ).length)
		iHaveHQ = false;
	for (var playnum = 0; playnum < maxPlayers; playnum++) {
		var structs = enumStruct(playnum);
		if (baseType == CAMP_BASE || baseType == CAMP_CLEAN) {
			for (var i = 0; i < structs.length; i++)
				if (baseType == CAMP_CLEAN || structs[i].stattype == WALL || structs[i].stattype == DEFENSE || structs[i].stattype == GATE || structs[i].stattype == CYBORG_FACTORY || structs[i].stattype == COMMAND_CONTROL)
					removeStruct(structs[i]);
			if (baseType == CAMP_CLEAN && playnum == me)
				iHaveHQ = false;
		}
		setDefeatedPlayers();
	}
	if (iHaveHQ) {
		setMiniMap(true); // show minimap since we have an HQ
		setDesign(true); // and allow design
	}
	else {
		setMiniMap(false); // hide minimap since no HQ
		setDesign(false); // and disallow design
	}	
}