// END CONDITIONS
function checkEndConditions() {
	var factories = enumStruct(me,CYBORG_FACTORY).length + enumStruct(me,FACTORY).length + enumStruct(me,VTOL_FACTORY).length;
	var droids = enumDroid(me).length;

	// Losing Conditions
	if (droids == 0 && factories == 0) {
		var gameLost = true;
		/* If teams enabled check if all team members have lost  */
		if (alliancesType == ALLIANCES_TEAMS) {
			for (var playnum = 0; playnum < maxPlayers; playnum++) {
				if (playnum != me && allianceExistsBetween(me, playnum)) {
					factories = enumStruct(playnum,CYBORG_FACTORY).length + enumStruct(playnum,FACTORY).length + enumStruct(playnum,VTOL_FACTORY).length;
					droids = enumDroid(playnum).length;
					if (droids > 0 || factories > 0) {
						gameLost = false;	// someone from our team still alive
						break;
					}
				}
			}
		}

		if (gameLost) {
			gameOverMessage(false);
			removeTimer("checkEndConditions");
			return;
		}
	}
	
	// Winning Conditions
	var gamewon = true;

	// check if all enemies defeated
	for (var playnum = 0; playnum < maxPlayers; playnum++) {
		if (playnum != me) {
			if (!allianceExistsBetween(me, playnum)) { // checking enemy player
				factories = enumStruct(playnum,CYBORG_FACTORY).length + enumStruct(playnum,FACTORY).length + enumStruct(playnum,VTOL_FACTORY).length; // nope
				droids = enumDroid(playnum).length;
				if (droids > 0 || factories > 0)
					gamewon = false;	//one of the enemies still alive		
			}
		}
	}

	if (gamewon) {
		gameOverMessage(true);
		removeTimer("checkEndConditions");
	}
}