var lastHitTime = [0,0,0,0,0,0,0];

if (typeof(DROID_CYBORG_CONSTRUCT)=="undefined")
	const DROID_CYBORG_CONSTRUCT=10;

function sitRepAttacked(victimObj, attackerObj) {
	if (victimObj.player == selectedPlayer) {
		if (victimObj.type == STRUCTURE) { //Structure under attack
			if (victimObj.stattype == RESOURCE_EXTRACTOR) { //Derrick under attack
				if (gameTime > lastHitTime[0] + 10000) {
					lastHitTime[0] = gameTime;
					playSound(SOUND_DERRICK_ATTACKED, victimObj.x, victimObj.y, victimObj.z);	// show position if still alive
				}
			}
			else if (gameTime > lastHitTime[1] + 10000) { //Generic structure under attack
				lastHitTime[1] = gameTime;
				playSound(SOUND_STRUCT_ATTACKED, victimObj.x, victimObj.y, victimObj.z);
			}
		}
		else if (victimObj.type == DROID) { //Unit under attack
			if (victimObj.droidType==DROID_CONSTRUCT || victimObj.droidType==DROID_CYBORG_CONSTRUCT) { //Truck under attack
				if (gameTime > lastHitTime[3] + 10000) {
					lastHitTime[3] = gameTime;
					playSound(SOUND_TRUCK_ATTACKED, victimObj.x, victimObj.y, victimObj.z);
				}
			}
			else if (victimObj.droidType==DROID_TRANSPORTER || victimObj.droidType==DROID_SUPERTRANSPORTER) { //Transport under attack
				if (gameTime > lastHitTime[4] + 10000) {
					lastHitTime[4] = gameTime;
					playSound(SOUND_TRANSPORT_ATTACKED, victimObj.x, victimObj.y, victimObj.z);
				}
			}
			else if (victimObj.droidType==DROID_COMMAND) { //Commander under attack
				if (gameTime > lastHitTime[5] + 10000) {
					lastHitTime[5] = gameTime;
					playSound(SOUND_COMMANDER_ATTACKED, victimObj.x, victimObj.y, victimObj.z);
				}
			}
			else if (gameTime > lastHitTime[2] + 10000) { //Generic unit under attack
				lastHitTime[2] = gameTime;
				playSound(SOUND_UNIT_ATTACKED, victimObj.x, victimObj.y, victimObj.z);
			}
		}
	}
	else if (allianceExistsBetween(selectedPlayer, victimObj.player)) { //An ally's unit or structure is under attack.
		if (gameTime > lastHitTime[6] + 10000) {
			lastHitTime[6] = gameTime;
			playSound(SOUND_ALLY_ATTACKED, victimObj.x, victimObj.y, victimObj.z);
		}
	}
}