function sitRepTransfer(transObj,prevOwner) {
	if (prevOwner==selectedPlayer) {
		if (allianceExistsBetween(selectedPlayer, transObj.player)) { //We've given one of our units to an ally.
			if (transObj.type == DROID)
				playSound(SOUND_UNIT_TRANSFERRED, transObj.x, transObj.y, transObj.z);
			else if (transObj.type == STRUCTURE)
				playSound(SOUND_STRUCT_TRANSFERRED, transObj.x, transObj.y, transObj.z);
		}
		else { //An enemy player has stolen one of our units or structures.
			if (transObj.type == DROID)
				playSound(SOUND_UNIT_STOLEN_ENEMY, transObj.x, transObj.y, transObj.z);
			else if (transObj.type == STRUCTURE)
				playSound(SOUND_STRUCT_STOLEN_ENEMY, transObj.x, transObj.y, transObj.z);
		}
	}
	else if (transObj.player==selectedPlayer) {
		if (allianceExistsBetween(selectedPlayer, prevOwner)) { //An ally has donated a unit to us.
			if (transObj.type == DROID)
				playSound(SOUND_UNIT_TRANSFERRED, transObj.x, transObj.y, transObj.z);
			else if (transObj.type == STRUCTURE)
				playSound(SOUND_STRUCT_TRANSFERRED, transObj.x, transObj.y, transObj.z);
		}
		else { //We've stolen a unit from an enemy player.
			if (transObj.type == DROID)
				playSound(SOUND_UNIT_STOLEN, transObj.x, transObj.y, transObj.z);
			else if (transObj.type == STRUCTURE)
				playSound(SOUND_STRUCT_STOLEN, transObj.x, transObj.y, transObj.z);
		}
	}
}