//Enable components for all players.
function enableComponents() {
	for (var playnum = 0; playnum < maxPlayers; playnum++)
	{
		// We need to enable these in order for scripts to be able to generate their templates.
		makeComponentAvailable("CyborgSpade", playnum);
		makeComponentAvailable("CyborgRepair", playnum);
		makeComponentAvailable("CyborgSpade2", playnum);
		makeComponentAvailable("CyborgRepair2", playnum);
		makeComponentAvailable("CyborgSpade3", playnum);
		makeComponentAvailable("CyborgRepair3", playnum);
		makeComponentAvailable("CyborgSpade4", playnum);
		makeComponentAvailable("CyborgRepair4", playnum);
		makeComponentAvailable("CyborgLegs", playnum);
		makeComponentAvailable("HvyCyborgLegs", playnum);
		makeComponentAvailable("Cyb-Wpn-Atmiss", playnum);
		makeComponentAvailable("CyborgCannon", playnum);
		makeComponentAvailable("CyborgChaingun", playnum);
		makeComponentAvailable("CyborgFlamer01", playnum);
		makeComponentAvailable("Cyb-Wpn-Grenade", playnum);
		makeComponentAvailable("Cyb-Hvywpn-A-T", playnum);
		makeComponentAvailable("Cyb-Hvywpn-Acannon", playnum);
		makeComponentAvailable("Cyb-Hvywpn-HPV", playnum);
		makeComponentAvailable("Cyb-Hvywpn-Mcannon", playnum);
		makeComponentAvailable("Cyb-Hvywpn-PulseLsr", playnum);
		makeComponentAvailable("Cyb-Hvywpn-RailGunner", playnum);
		makeComponentAvailable("Cyb-Hvywpn-TK", playnum);
		makeComponentAvailable("Cyb-Wpn-Laser", playnum);
		makeComponentAvailable("Cyb-Wpn-Rail1", playnum);
		makeComponentAvailable("CyborgRocket", playnum);
		makeComponentAvailable("CyborgRotMG", playnum);
		makeComponentAvailable("Cyb-Wpn-Thermite", playnum);
		makeComponentAvailable("CyborgFlamer01", playnum);
		makeComponentAvailable("HvyCybSpade", playnum);
		makeComponentAvailable("HvyCybRepair", playnum);
		makeComponentAvailable("HvyCybSpade2", playnum);
		makeComponentAvailable("HvyCybRepair2", playnum);
		makeComponentAvailable("HvyCybSpade3", playnum);
		makeComponentAvailable("HvyCybRepair3", playnum);
		makeComponentAvailable("HvyCybSpade4", playnum);
		makeComponentAvailable("HvyCybRepair4", playnum);
		makeComponentAvailable("Cyb-Wpn-MortarInc", playnum);
		makeComponentAvailable("HvyCyb-Wpn-MortarRot", playnum);
		makeComponentAvailable("HvyCyb-Wpn-Cannon-HPVAslt", playnum);
		makeComponentAvailable("Cyb-Wpn-Cannon-HPVLgt", playnum);
		makeComponentAvailable("HvyCyb-Wpn-Cannon-Shotgun", playnum);
		makeComponentAvailable("Cyb-Wpn-Cannon-Sniper", playnum);
		makeComponentAvailable("HvyCyb-Wpn-EMP", playnum);
		makeComponentAvailable("HvyCyb-Wpn-Flamer1", playnum);
		makeComponentAvailable("HvyCyb-Wpn-Flamer2", playnum);
		makeComponentAvailable("HvyCyb-Wpn-Flamer3", playnum);
		makeComponentAvailable("Cyb-Wpn-Laser-AP1", playnum);
		makeComponentAvailable("HvyCyb-Wpn-Laser-AP1", playnum);
		makeComponentAvailable("Cyb-Wpn-Laser-AT1", playnum);
		makeComponentAvailable("HvyCyb-Wpn-Laser-AT1", playnum);
		makeComponentAvailable("Cyb-Wpn-Laser-AP3", playnum);
		makeComponentAvailable("HvyCyb-Wpn-Laser-AP3", playnum);
		makeComponentAvailable("Cyb-Wpn-Laser-AT3", playnum);
		makeComponentAvailable("HvyCyb-Wpn-Laser-AT3", playnum);
		makeComponentAvailable("HvyCyb-Wpn-MG3", playnum);
		makeComponentAvailable("HvyCyb-Wpn-MG4", playnum);
		makeComponentAvailable("HvyCyb-Wpn-MG-AntiTank", playnum);
		makeComponentAvailable("HvyCyb-Wpn-MG-AntiTank2", playnum);
		makeComponentAvailable("Cyb-Wpn-MG3Inc", playnum);
		makeComponentAvailable("HvyCyb-Wpn-MG3Inc", playnum);
		makeComponentAvailable("Cyb-Wpn-MG4Inc", playnum);
		makeComponentAvailable("HvyCyb-Wpn-MG4Inc", playnum);
		makeComponentAvailable("HvyCyb-Wpn-Railgun-Gattling", playnum);
		makeComponentAvailable("HvyCyb-Wpn-Railgun-Shotgun", playnum);
		makeComponentAvailable("Cyb-Wpn-Railgun-Sniper", playnum);
		makeComponentAvailable("HvyCyb-Wpn-Railgun-Aslt", playnum);
		makeComponentAvailable("HvyCyb-Wpn-Rocket-Pod", playnum);
		makeComponentAvailable("HvyCyb-Wpn-Rocket-Pod2", playnum);
		makeComponentAvailable("HvyCyb-Wpn-Rocket-Pod3", playnum);
		makeComponentAvailable("HvyCyb-Wpn-Rocket-LtA-T", playnum);
		makeComponentAvailable("Cyb-Wpn-Rocket-HvyA-T", playnum);
		makeComponentAvailable("HvyCyb-Wpn-Rocket-MRL", playnum);
		makeComponentAvailable("Cyb-Wpn-Rocket-Sunburst", playnum);
		makeComponentAvailable("HvyCyb-Wpn-Rocket-Sunburst", playnum);
		makeComponentAvailable("HvyCyb-Wpn-Missile-MdArt", playnum);
		makeComponentAvailable("HvyCyb-Wpn-Missile-LtSAM", playnum);
		makeComponentAvailable("HvyCyb-Wpn-Missile-HvySAM", playnum);
		makeComponentAvailable("HvyCyb-Wpn-Rocket-TopAttack", playnum);
		makeComponentAvailable("Cyb-Wpn-Rocket-Cherub", playnum);
		makeComponentAvailable("HvyCyb-Wpn-Rocket-Cherub", playnum);
		makeComponentAvailable("Cyb-Wpn-SpyTurret01", playnum);
		makeComponentAvailable("Cyb-Wpn-SpyTurret02", playnum);
		makeComponentAvailable("Cyb-Wpn-SpyTurret03", playnum);
		makeComponentAvailable("HvyCyb-Wpn-SpyTurretNEXUS", playnum);
	}
}